<!--
SPDX-FileCopyrightText: 2022 debgerme <fossgerme@tuta.io>

SPDX-License-Identifier: CC-BY-SA-4.0
-->

# Gnome no puede entrar a wayland: solución

[English version](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/src/branch/master/Posts/Gnome-Xwayland/Gnome-Xwayland-EN.md)

Ok, este va a ser un post muy corto, pero la intención es salvarle la culata a muchos de esta situación por la que tuve que pasar.

El problema es el siguiente: Intentas abrir gnome (wayland) y al segundo se cierra, y te lanza a GDM de vuelta.

Si te fijas bien en los logs, hay una entrada que dice que hay una falla en los permisos de la carpeta `/tmp/.X11-unix`.

## Solución

Como dijimos antes, lo que nos está dando problemas es que el grupo y el usuario a cargo de `/tmp/.X11-unix` está mal asignado, y deberían estar en `root`.

Esto se cambia con estos dos comandos:

```
sudo chown root /tmp/.X11-unix
sudo chgrp root /tmp/.X11-unix
```

Con eso debe estar. Yo lo he ejecutado en sway, y no estoy seguro de qué pasará si se ejecuta dentro de usa sesión de X11, pero por si acaso, hazlo en una TTY o en un wm o escritorio que no usen Xorg.

## Bye bye!

Con esto me despido. Espero haberles ayudado

Sientete libre de [contactarme](t.me/debgerme) si tienes preguntas o algo que decir. Puedes enviar un commit aquí si quieres.
